/*
 * TestServlet2.java
 * 
 * Created on Oct 18, 2007, 9:51:25 AM
 */

package ee.test.web2.servlet;

import ee.test.ejb.TestBean;
import java.io.*;
import java.net.*;
import javax.ejb.EJB;

import javax.servlet.*;
import javax.servlet.http.*;

/**
 * @author Rene Rattur  <rene.rattur@wallis.ee>
 */
public class TestServlet2 extends HttpServlet {
    @EJB
    private TestBean testBean;
    
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String msg = "Test2 says: " + testBean.sayHello();
        
        byte[] data = msg.getBytes("UTF-8");
        
        response.setContentType("text/plain");
        response.setCharacterEncoding("UTF-8");
        response.setContentLength(data.length);
        response.setHeader("Content-Disposition", "inline");
        
        response.getOutputStream().write(data);
        response.getOutputStream().flush();
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
